%This uses the single valved instrument. The valve opening, lip
%frequency and mouth pressure are modulated and lip stiffness is set higher
%to make it difficult to lock onto a resonance for long

%usable instruments: horn1, trombone1, trumpet1, trumpetbulge1

maxout=0.95;%max normalised value of instrument output
T=3;%Length of score s, if this is less than a time parameter in score values it is changed to longest time value

%score parameters take time value pairs, if final time entry is less than
%length of score it is assumed to remain constant from that time
%Lip area, mass, damping, equilibrium separation, width
Sr=[0,1.46e-5];
mu=[0,5.37e-5];
sigma=[0,50];
H=[0,0.00029];
w=[0,0.01];
%lip frequency as time(s) frequency(Hz) pairs [t,f]
lip_frequency=[0,300];
%mouth pressure pressure as time(s) pressure(Pa) pairs [t,p]
%useful to have small pressure ramp to get better attack
pressure=[0,0;
    1e-3,5e3];
%vibrato amplitude and frequency
vibamp=[0,0;
    0.9,0;
    1,0.01];%fraction of normal frequency
vibfreq=[0,1];%frequency of vibrato
tremamp=[0,0.5];%fraction of normal mouth pressure
tremfreq=[0,2];%frequecny of tremolo
noiseamp=[0,0];%fraction of normal mouth pressure
%default tube openings(0-1) 1st column time, 2nd-1st valve, 3rd-2nd valve etc
valveopening=[0,0.5;
    0.3,0.3;
    0.7,0.4;
    1,0.8;
    1.2,0.7;
    1.5,0.4;
    2,0.9];
valvevibfreq=[0,0.3];%valve vibrato frequency
valvevibamp=[0,0.01];%valve vibrato amplitude